- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DefaultConfigurator Class Reference

List of all members.

## Detailed Description

Configures the repository from environmental settings and files.

## Static Public Member Functions
static void | configure (log4cxx::spi::LoggerRepository *)
| Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger.

## Member Function Documentation

static void configure | ( | log4cxx::spi::LoggerRepository * |  | ) | `[static]`

| Add a ConsoleAppender that uses PatternLayout using the PatternLayout::TTCC_CONVERSION_PATTERN and prints to `stdout` to the root logger.

The documentation for this class was generated from the following file:

- defaultconfigurator.h